Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.binding.xml
Class UDA10DeviceDescriptorBinderSAXImpl

    java.lang.Object
      org.teleal.cling.binding.xml.UDA10DeviceDescriptorBinderImpl
          org.teleal.cling.binding.xml.UDA10DeviceDescriptorBinderSAXImpl

All Implemented Interfaces:
  DeviceDescriptorBinder

    public class UDA10DeviceDescriptorBinderSAXImpl

extends UDA10DeviceDescriptorBinderImpl

A JAXP SAX parser implementation, which is actually slower than the DOM implementation (on desktop and on Android)!

Author:
  Christian Bauer

Nested Class Summary
`protected static class` | `UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler<I>`
`protected static class` | `UDA10DeviceDescriptorBinderSAXImpl.DeviceHandler`
`protected static class` | `UDA10DeviceDescriptorBinderSAXImpl.DeviceListHandler`
`protected static class` | `UDA10DeviceDescriptorBinderSAXImpl.IconHandler`
`protected static class` | `UDA10DeviceDescriptorBinderSAXImpl.IconListHandler`
`protected static class` | `UDA10DeviceDescriptorBinderSAXImpl.RootHandler`
`protected static class` | `UDA10DeviceDescriptorBinderSAXImpl.ServiceHandler`
`protected static class` | `UDA10DeviceDescriptorBinderSAXImpl.ServiceListHandler`
`protected static class` | `UDA10DeviceDescriptorBinderSAXImpl.SpecVersionHandler`

Constructor Summary
`UDA10DeviceDescriptorBinderSAXImpl()`

Method Summary
`
`<D extends Device> D`
` | `describe(D undescribedDevice, String descriptorXml)`

Methods inherited from class org.teleal.cling.binding.xml.UDA10DeviceDescriptorBinderImpl
`buildDOM, buildInstance, describe, generate, generateDevice, generateDeviceList, generateIconList, generateRoot, generateServiceList, generateSpecVersion, hydrateDevice, hydrateDeviceList, hydrateIconList, hydrateRoot, hydrateServiceList, hydrateSpecVersion, parseURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UDA10DeviceDescriptorBinderSAXImpl

    public UDA10DeviceDescriptorBinderSAXImpl()

Method Detail

### describe

    public <D extends Device> D describe(D undescribedDevice,
                                         String descriptorXml)
                              throws DescriptorBindingException,
                                     ValidationException

  Specified by:
    `describe` in interface `DeviceDescriptorBinder`
  Overrides:
    `describe` in class `UDA10DeviceDescriptorBinderImpl`
  Throws:
    `DescriptorBindingException`
    `ValidationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.